<template>
  <div class="container-404 px-5">
    <v-img
      :src="require('@/assets/images/errors/404.svg')"
      contain
      max-height="250"
    />
    <span class="title-404 my-4">Página no encontrada</span>
    <span class="subtitle-404 my-4"
      >La página que estabas buscando no se encuentra disponible.</span
    >
    <v-img
      :src="require('@/assets/images/errors/tway-404.svg')"
      contain
      max-height="50"
    />
    <v-btn
      rounded
      class="white--text mx-auto font-weight-bold px-8 button-404 mt-6"
      @click="
        () => {
          $router.go(-1);
        }
      "
    >
      VOLVER
    </v-btn>
  </div>
</template>

<style lang="scss" scoped>
@import url("https://fonts.googleapis.com/css2?family=Josefin+Sans:wght@100;200;300;400;500;600;700&display=swap");
.container-404 {
  display: flex;
  justify-content: center;
  flex-direction: column;
  align-items: center;
  width: 100%;
  height: 100vh;
}
.title-404 {
  font-style: normal;
  font-weight: normal;
  font-size: 40px;
  line-height: 50px;
  display: flex;
  align-items: center;
  text-align: center;
  color: #000000;
  font-family: "Josefin Sans", sans-serif;
}
.subtitle-404 {
  font-family: "Josefin Sans", sans-serif;
  font-style: normal;
  font-weight: normal;
  font-size: 25px;
  line-height: 32px;
  /* identical to box height, or 128% */

  display: flex;
  align-items: center;
  text-align: center;

  color: #000000;
}
.button-404 {
  background-color: #7319d5 !important;
}
</style>
